class MERChecklistReport(PWReportPage):
	def init(self):
		super(MERChecklistReport, self).init()
		self.withObjective			= True;
		self.onlySelectedChecklists = 0;
		self.checklistEntryIndex	= 0;
		self.checklistElement		= None;
		self.checklistEntry			= None;
		self.focusedElements		= [];
		return self

	def dateFormat(self):
		return "medium/short"

	def entryRowClass(self):
		if self.checklistEntryIndex%2:
			return "even"

	def showObjective(self):
		return self.withObjective and self.project.itemDescription()

	def checklistElements(self):
		predicate = NSPredicate.predicateWithFormat_argumentArray_("entity.name = %@ AND isPrivate = FALSE", ["CheckList"])
		if self.onlySelectedChecklists:
			checklists = NSArray.arrayWithArray_(self.focusedElements).filteredArrayUsingPredicate_(predicate)
		else:
			checklists = self.project.deepElements().allObjects().filteredArrayUsingPredicate_(predicate)
		
		descriptor = NSSortDescriptor.alloc().initWithKey_ascending_("title", True)
		return checklists.sortedArrayUsingDescriptors_([descriptor])	